MsWrdEntry Struct Reference documentation

Public Member Functions | Public Attributes | Friends | List of all members
MsWrdEntry Struct Referencefinal

the entry of MsWrdParser More...

`#include <MsWrdParser.hxx>`

Inheritance diagram for MsWrdEntry:

## Public Member Functions
| MsWrdEntry ()
| constructor
| MsWrdEntry (MsWrdEntry const &)=default
| ~MsWrdEntry () final
| destructor
int | pictType () const
| returns the text id
void | setPictType (int newId)
| sets the picture id
Public Member Functions inherited from MWAWEntry
| MWAWEntry ()
| constructor
| MWAWEntry (MWAWEntry const &)=default
MWAWEntry & | operator= (MWAWEntry const &)=default
MWAWEntry & | operator= (MWAWEntry &&)=default
virtual | ~MWAWEntry ()
| destructor
void | setBegin (long off)
| sets the begin offset
void | setLength (long l)
| sets the zone size
void | setEnd (long off)
| sets the end offset
long | begin () const
| returns the begin offset
long | end () const
| returns the end offset
long | length () const
| returns the length of the zone
bool | valid () const
| returns true if the zone length is positive
bool | operator== (const MWAWEntry &a) const
| basic operator==
bool | operator!= (const MWAWEntry &a) const
| basic operator!=
bool | isParsed () const
| a flag to know if the entry was parsed or not
void | setParsed (bool ok=true) const
| sets the flag m_parsed to true or false
void | setType (std::string const &newType)
| sets the type of the entry: BTEP,FDPP, BTEC, FDPC, PLC , TEXT, ...
std::string const & | type () const
| returns the type of the entry
bool | hasType (std::string const &typ) const
| returns true if the type entry == type
void | setName (std::string const &nam)
| sets the name of the entry
std::string const & | name () const
| name of the entry
bool | hasName (std::string const &nam) const
| checks if the entry name is equal to name
int | id () const
| returns the id
void | setId (int newId)
| sets the id
std::string const & | extra () const
| retrieves the extra string
void | setExtra (std::string const &s)
| sets the extra string

## Public Attributes
int | m_pictType
| the picture identificator

## Friends
std::ostream & | operator<< (std::ostream &o, MsWrdEntry const &entry)
| operator<<

## Additional Inherited Members
Protected Attributes inherited from MWAWEntry
long | m_begin
| the begin of the entry.
long | m_length
| the size of the entry
std::string | m_type
| the entry type
std::string | m_name
| the name
std::string | m_extra
| an extra string
int | m_id
| an identificator
bool | m_parsed
| a bool to store if the entry is or not parsed

## Detailed Description

the entry of MsWrdParser

## Constructor & Destructor Documentation

## ◆ MsWrdEntry() [1/2]

MsWrdEntry::MsWrdEntry | ( |  | ) |
| inline

constructor

## ◆ MsWrdEntry() [2/2]

MsWrdEntry::MsWrdEntry | ( | MsWrdEntry const & |  | ) |
| default

## ◆ ~MsWrdEntry()

MsWrdEntry::~MsWrdEntry | ( |  | ) |
| final

destructor

## Member Function Documentation

## ◆ pictType()

int MsWrdEntry::pictType | ( |  | ) | const
| inline

returns the text id

This field is used to differentiate main text, header, ...)

Referenced by MsWrdParser::readPicture().

## ◆ setPictType()

void MsWrdEntry::setPictType | ( | int | newId | ) |
| inline

sets the picture id

Referenced by MsWrdParser::checkPicturePos().

## Friends And Related Symbol Documentation

## ◆ operator<<

std::ostream & operator<< | ( | std::ostream & | o,
|  | MsWrdEntry const & | entry )
| friend

operator<<

## Member Data Documentation

## ◆ m_pictType

int MsWrdEntry::m_pictType

the picture identificator

Referenced by pictType(), and setPictType().

The documentation for this struct was generated from the following files:

- MsWrdParser.hxx
- MsWrdParser.cxx